Subject: Re: [PATCH] remote-curl: send Accept-Language header to server

From: Junio C Hamano <[email-masked]>
Date: Sat, 02 Jul 2022 17:57:40 -0700

"[email-masked]" <[email-masked]> writes:

>>I think the end-goal of having the "remote: " messages translated, if
>>possible, is very worthwhile, but I'd always imagined we'd do that with
>>a protocol extension, because even if we do this with HTTP headers we
>>won't get the same over ssh/git transports.
>
> As for ssh transport, can we use ssh environment to reach our goal?

Not really.  Before forcing us to invent completely separate
mechanisms for different transports, it is a very good idea to
consider if we can use a single mechanism that can apply to all
transports.  Adding something at the protocol level would be a
step in the right direction.